/**********************************************************
　　製作者　　アドウィン
　　解　説　　論理演算子を用いたプログラム例
**********************************************************/
#include <Arduino.h>      // Arduino.h の読み込み
#include "char8x8.h"      // char8x8.h の読み込み
#include "dotmatrixled.h" // dotmatrixled.h の読み込み
#include "switch.h"       // switch.h の読み込み

/*
 * setup 関数
 */
void setup() {
  /* ここにプログラムの最初に1回だけ実行したい処理を上から順に記述していきます */

  // シリアル通信を115200bpsで開始
  Serial.begin(115200);

  Serial.println("初期設定の開始");

  // ドットマトリクスLED初期設定
  initLed();
  // スイッチの初期設定
  initSwitch();

  Serial.println("初期設定の完了");
}

/*
 * loop 関数
 */
void loop() {
  /* ここにプログラム中で繰り返し実行したい処理を上から順に記述していきます */

  // SW1ピンの電圧レベルをシリアルで出力
  Serial.println(digitalRead(sw1));

  // SW1 が ON かつ SW2 が OFF ならば、Aを表示
  if (SW1_ON && SW2_OFF) {
    for (int i = 0; i < 8; i++) {
      setLed(ledPatternA[i], ledCathodePattern[i]); // Aを1行ずつ表示
      delay(1);                                     // 時間待ち
    }
  }
  // SW1 が OFF かつ SW2 が ON ならば、Bを表示
  else if (SW1_OFF && SW2_ON) {
    for (int i = 0; i < 8; i++) {
      setLed(ledPatternB[i], ledCathodePattern[i]); // Bを1行ずつ表示
      delay(1);                                     // 時間待ち
    }
  }
  // SW1 が ON かつ SW2 が ON ならば、Cを表示
  else if (SW1_ON && SW2_ON) {
    for (int i = 0; i < 8; i++) {
      setLed(ledPatternC[i], ledCathodePattern[i]); // Cを1行ずつ表示
      delay(1);                                     // 時間待ち
    }
  }
  // その他ならば、全消灯
  else {
    setLed(0b00000000, 0b00000000);
    delay(1); // 時間待ち
  }
}