/**********************************************************
　　製作者　　アドウィン
　　解　説　　LEDの明るさの調整 – プログラム例
**********************************************************/
#include <Arduino.h>      // Arduino.h の読み込み
#include "dotmatrixled.h" // dotmatrixled.h の読み込み

// ボリューム入力ピン
int volumePin = 34;

/*
 * setup 関数
 */
void setup() {
  /* ここにプログラムの最初に1回だけ実行したい処理を上から順に記述していきます */

  // シリアル通信を115200bpsで開始
  Serial.begin(115200);

  Serial.println("初期設定の開始");

  // ドットマトリクスLED初期設定
  initLed();

  Serial.println("初期設定の完了");
}

/*
 * loop 関数
 */
void loop() {
  /* ここにプログラム中で繰り返し実行したい処理を上から順に記述していきます */

  // ボリューム入力のADC値を取得
  int adc = analogRead(volumePin);
  // ADC値をシリアル出力
  Serial.println(adc);

  // 全点灯
  setLed(0xFF, 0xFF);
  // 時間待ち
  delayMicroseconds(adc);
  //  全消灯
  setLed(0x00, 0x00);
  // 時間待ち
  delayMicroseconds(4095 - adc);
}