/**********************************************************
　　製作者　　アドウィン
　　解　説　　D/A変換 – プログラム例とサンプリング周波数
**********************************************************/
#include <Arduino.h> // Arduino.h の読み込み
#include "switch.h"  // switch.h の読み込み
#include "wave1.h"   // wave1.h の読み込み

// DACピン
int dacPin = 25;

/*
 * setup 関数
 */
void setup() {
  /* ここにプログラムの最初に1回だけ実行したい処理を上から順に記述していきます */

  // シリアル通信を115200bpsで開始
  Serial.begin(115200);

  Serial.println("初期設定の開始");

  // スイッチの初期設定
  initSwitch();

  Serial.println("初期設定の完了");
}

/*
 * loop 関数
 */
void loop() {
  /* ここにプログラム中で繰り返し実行したい処理を上から順に記述していきます */

  // SW1が押された時
  if (SW1_ON) {

    // チャタリング対策
    delay(10);
    while(SW1_ON) delay(1);
    delay(10);

    int t0 = millis(); // 開始時刻の記録
    // 配列データを順番に取得
    for (int i = 0; i < sizeof(wavedata1); i++) {
      dacWrite(dacPin, wavedata1[i]); // DAC出力
      delayMicroseconds(20);          // サンプリング周波数調整
    }
    t0 = millis() - t0; // 所要時間の算出
    Serial.println(t0); // 所要時間をシリアル出力
  }

  delay(1); // 時間待ち
}