/**********************************************************
　　製作者　　アドウィン
　　解　説　　ハードウェアPWMによる音階 – プログラム例
**********************************************************/
#include <Arduino.h> // Arduino.h の読み込み

// スピーカ用ピンの設定
int speaker = 25;
// スピーカ用PWMチャンネルの設定
int speakerPwm = 0;

/*
 * setup 関数
 */
void setup() {
  /* ここにプログラムの最初に1回だけ実行したい処理を上から順に記述していきます */

  // シリアル通信を115200bpsで開始
  Serial.begin(115200);

  Serial.println("初期設定の開始");

  // スピーカのPWMの設定
  // PWMピンを出力ピンに設定
  pinMode(speaker, OUTPUT);
  // PWMチャンネルを440Hz、16ビット（0〜65536）に設定
  ledcSetup(speakerPwm, 440, 16);
  // PWMピンとPWMチャンネルを結びつける
  ledcAttachPin(speaker, speakerPwm);
  // PWMのデューティ比を50%に設定
  ledcWrite(speakerPwm, 0.5 * 65536);

  Serial.println("初期設定の完了");
}

/*
 * loop 関数
 */
void loop() {
  /* ここにプログラム中で繰り返し実行したい処理を上から順に記述していきます */

  // 鳴らす音階の一覧
  note_t onkai[] = {NOTE_C, NOTE_D, NOTE_E, NOTE_F, NOTE_G, NOTE_A, NOTE_B};

  // 真ん中のド〜１オクターブ高いドまでを出力
  for (int i = 0; i <= 7; i++) {

    // 周波数の設定
    Serial.println(ledcWriteNote(0, onkai[i % 7], 4 + i / 7));

    // 1秒待つ（1秒間鳴らす）
    delay(1000);
  }
}