/**********************************************************
　　製作者　　アドウィン
　　解　説　　スピーカとサーボモータ – プログラム例
**********************************************************/
#include <Arduino.h> // Arduino.h の読み込み

// スピーカ用ピンの設定
int speaker = 25;
// スピーカ用PWMチャンネルの設定
int speakerPwm = 0;

// サーボモータ用ピンの設定
int servo = 4;
// サーボモータ用PWMチャンネルの設定
int servoPwm = 1;

/*
 * setup 関数
 */
void setup() {
  /* ここにプログラムの最初に1回だけ実行したい処理を上から順に記述していきます */

  // シリアル通信を115200bpsで開始
  Serial.begin(115200);

  Serial.println("初期設定の開始");

  // スピーカのPWMの設定
  // PWMピンを出力ピンに設定
  pinMode(speaker, OUTPUT);
  // PWMチャンネルを440Hz、16ビット（0〜65536）に設定
  ledcSetup(speakerPwm, 440, 16);
  // PWMピンとPWMチャンネルを結びつける
  ledcAttachPin(speaker, speakerPwm);
  // PWMのデューティ比を50%に設定
  ledcWrite(speakerPwm, 0.5 * 65536);

  // サーボモータのPWMの設定
  // PWMピンを出力ピンに設定
  pinMode(servo, OUTPUT);
  // PWMチャンネルを50Hz、16ビット（0〜65536）に設定
  ledcSetup(servoPwm, 50, 16);
  // PWMピンとPWMチャンネルを結びつける
  ledcAttachPin(servo, servoPwm);
  // PWMのデューティを1.5msに設定
  ledcWrite(servoPwm, (1.5 / 20) * 65536);

  Serial.println("初期設定の完了");
}

/*
 * loop 関数
 */
void loop() {
  /* ここにプログラム中で繰り返し実行したい処理を上から順に記述していきます */

  delay(1); // 時間待ち
}